[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: alsa-tools on debian amd64

Kurt Roeckx kiedys napisal:

> On Fri, Apr 29, 2005 at 12:33:44PM +1000, Norval Watson wrote:
>> checking for gcc... gcc
>> checking for C compiler default output... configure: error: C compiler
>> cannot create executables
>> See `config.log' for more details.
> You will have to look at config.log to find out what's wrong.  My
> guess is that you didn't atleast install everything required to
> comile something.  I suggest you start with:
> apt-get install build-essential
> You'll probably need all the build-dependecies that the package
> set, install those too.  I suggest you just try building the
> whole package.
> Kurt

Read carefully: error: C compiler cannot create executables
It tells everything. There could be as I see at least two reasons:
1. alsa-tools cannot be compiled on amd64 still (low probability)
2. there are some places in config of sources in which you resolve elf32 not
elf64 binaries (very possible). Check configure.in scripts what type of
binaries are supported by this scripts and fix it if possible
Registered Linux User 369908

Reply to: